#! /bin/sh

#   This file is part of  JUnitDoclet, a project to generate basic
#   test cases  from source code and  helping to keep them in sync
#   during refactoring.
#
#   Copyright (C) 2002  ObjectFab GmbH  (http://www.objectfab.de/)
#
#   This library is  free software; you can redistribute it and/or
#   modify  it under the  terms of  the  GNU Lesser General Public
#   License as published  by the  Free Software Foundation; either
#   version 2.1  of the  License, or  (at your option)  any  later
#   version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Lesser General Public License for more details.
#
#   You  should  have  received a  copy of the  GNU Lesser General
#   Public License along with this  library; if not, write  to the
#   Free  Software  Foundation, Inc.,  59 Temple Place,  Suite 330,
#   Boston, MA  02111-1307  USA

# --- save settings and set defaults ---

SAVE_RESTORE=save
source run_junitdoclet_setenv.sh 

# --- read parameters and overwrite if given on command line ---

if [ $1 ] ; then PACKAGENAMES=$1 ; fi
if [ $2 ] ; then SOURCE_PATH=$2  ; fi
if [ $3 ] ; then EXTRA_PARAMS=$3 ; fi
if [ $4 ] ; then CLASSPATH=$4    ; fi
if [ $5 ] ; then JAVA_HOME=$5    ; fi
if [ $6 ] ; then OUTPUT_DIR=$6   ; fi
if [ $7 ] ; then DOCLETPATH=$7   ; fi

# --- run JUnitDoclet ---

$JAVA_HOME/bin/javadoc -docletpath $DOCLETPATH -classpath $CLASSPATH -sourcepath $SOURCE_PATH -d $OUTPUT_DIR -doclet $DOCLET_CLASS_NAME $EXTRA_PARAMS $PACKAGENAMES

# --- restore settings ---

SAVE_RESTORE=restore 
source run_junitdoclet_setenv.sh

# --- end of file ---
