@echo off
REM
REM    This file is part of  JUnitDoclet, a project to generate basic
REM    test cases  from source code and  helping to keep them in sync
REM    during refactoring.
REM
REM    Copyright (C) 2002  ObjectFab GmbH  (http://www.objectfab.de/)
REM
REM    This library is  free software; you can redistribute it and/or
REM    modify  it under the  terms of  the  GNU Lesser General Public
REM    License as published  by the  Free Software Foundation; either
REM    version 2.1  of the  License, or  (at your option)  any  later
REM    version.
REM
REM    This library is distributed in the hope that it will be useful,
REM    but WITHOUT ANY WARRANTY; without even the implied warranty of
REM    MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See the
REM    GNU Lesser General Public License for more details.
REM
REM    You  should  have  received a  copy of the  GNU Lesser General
REM    Public License along with this  library; if not, write  to the
REM    Free  Software  Foundation, Inc.,  59 Temple Place,  Suite 330,
REM    Boston, MA  02111-1307  USA
REM

REM --- save settings and set defaults ---
call run_junitdoclet_setenv save

REM --- read parameters and overwrite if given on command line ---
:read_params
if NOT '%1' == '' set PACKAGENAMES=%1
if NOT '%2' == '' set SOURCE_PATH=%2
if NOT '%3' == '' set EXTRA_PARAMS=%3
if NOT '%4' == '' set CLASSPATH=%4
if NOT '%5' == '' set JAVA_HOME=%5
if NOT '%6' == '' set OUTPUT_DIR=%6
if NOT '%7' == '' set DOCLETPATH=%7

REM --- collect packages names ---
:collect_packages
if "%PACKAGENAMES%" == "" goto all_packages
  %JAVA_HOME%\bin\java -classpath %DOCLETPATH% %LISTER_CLASS_NAME% -o %PACKAGE_FILE_NAME% %SOURCE_PATH% -top %PACKAGENAMES%
  goto run
:all_packages
  %JAVA_HOME%\bin\java -classpath %DOCLETPATH% %LISTER_CLASS_NAME% -o %PACKAGE_FILE_NAME% %SOURCE_PATH%

REM --- run JUnitDoclet ---
:run
%JAVA_HOME%\bin\javadoc -docletpath %DOCLETPATH% -classpath %CLASSPATH% -sourcepath %SOURCE_PATH% -d %OUTPUT_DIR% -doclet %DOCLET_CLASS_NAME% %EXTRA_PARAMS% @%PACKAGE_FILE_NAME%

REM --- restore settings ---
call run_junitdoclet_setenv restore

REM --- end of file ---
