#! /bin/sh

#   This file is part of  JUnitDoclet, a project to generate basic
#   test cases  from source code and  helping to keep them in sync
#   during refactoring.
#
#   Copyright (C) 2002  ObjectFab GmbH  (http://www.objectfab.de/)
#
#   This library is  free software; you can redistribute it and/or
#   modify  it under the  terms of  the  GNU Lesser General Public
#   License as published  by the  Free Software Foundation; either
#   version 2.1  of the  License, or  (at your option)  any  later
#   version.
#
#   This library is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or  FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Lesser General Public License for more details.
#
#   You  should  have  received a  copy of the  GNU Lesser General
#   Public License along with this  library; if not, write  to the
#   Free  Software  Foundation, Inc.,  59 Temple Place,  Suite 330,
#   Boston, MA  02111-1307  USA

#### make your custom settings here ####

INSTALL_DIRECTORY=/usr/local/bin

export PACKAGE_FILE_NAME=packages.txt
export DOCLET_CLASS_NAME=com.objectfab.tools.junitdoclet.JUnitDoclet
export LISTER_CLASS_NAME=org.junitdoclet.PackageLister

## default settings, that can be overwritten by environment or command line ##
DEFAULT_DOCLETPATH=$INSTALL_DIRECTORY/JUnitDoclet.jar:$INSTALL_DIRECTORY/packagelister.jar
DEFAULT_CLASSPATH=./build/classes:./classes
DEFAULT_SOURCE_PATH=./src
DEFAULT_OUTPUT_DIR=./junit
DEFAULT_EXTRA_PARAMS=-buildall
DEFAULT_JAVA_HOME=$JAVA_ROOT

#### end of custom settings ####


## decide whether to save or to restore ##

if [ $SAVE_RESTORE -a $SAVE_RESTORE = "save" ] ; then

  OLD_DOCLETPATH=$DOCLETPATH
  OLD_CLASSPATH=$CLASSPATH
  OLD_SOURCE_PATH=$SOURCE_PATH
  OLD_OUTPUT_DIR=$OUTPUT_DIR
  OLD_EXTRA_PARAMS=$EXTRA_PARAMS
  OLD_JAVA_HOME=$JAVA_HOME
  
  if [ -z $DOCLETPATH   ] ; then DOCLETPATH=$DEFAULT_DOCLETPATH     ; fi
  if [ -z $CLASSPATH    ] ; then CLASSPATH=$DEFAULT_CLASSPATH       ; fi
  if [ -z $SOURCE_PATH  ] ; then SOURCE_PATH=$DEFAULT_SOURCE_PATH   ; fi
  if [ -z $OUTPUT_DIR   ] ; then OUTPUT_DIR=$DEFAULT_OUTPUT_DIR     ; fi
  if [ -z $EXTRA_PARAMS ] ; then EXTRA_PARAMS=$DEFAULT_EXTRA_PARAMS ; fi
  if [ -z $JAVA_HOME    ] ; then JAVA_HOME=$DEFAULT_JAVA_HOME       ; fi
  
elif [ $SAVE_RESTORE -a $SAVE_RESTORE = "restore" ] ; then 

  DOCLETPATH=$OLD_DOCLETPATH
  CLASSPATH=$OLD_CLASSPATH
  SOURCE_PATH=$OLD_SOURCE_PATH
  OUTPUT_DIR=$OLD_OUTPUT_DIR
  EXTRA_PARAMS=$OLD_EXTRA_PARAMS
  JAVA_HOME=$OLD_JAVA_HOME

  OLD_DOCLETPATH=
  OLD_CLASSPATH=
  OLD_SOURCE_PATH=
  OLD_OUTPUT_DIR=
  OLD_EXTRA_PARAMS=
  OLD_JAVA_HOME=
  
else

  echo "wrong or missing parameter"
  
fi
## end of file ##